Expression builder: Rename simplify and simplify_vw

2017-04-03 03:41 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Expressions

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 24316

Description

Given their description, what about renaming:

    -  simplify function into simplify_(by_)distance

    -  simplify_vw function into simplify_(by_)area. Actually this is the one that bothers me: I wonder if adding "by area" wouldn't be more

meaningful and remembered by user than vw (Viswalingam-Whyatt?).

(I set it as a bug report though it's not, but not feel that it's also a feature request)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2017-10-01 03:20 PM - Harrissou Santanna

- Resolution set to wontfix

- Description updated

- Status changed from Open to Closed

- Category changed from Unknown to Expressions

We are following PostgreSQL/PostGIS functions convention naming which use st_simplify and st_simplifyvw

Note: A PR was proposed at https://github.com/qgis/QGIS/pull/5274
